libzypp 17.37.10

zypp::_logtoolsdetail Namespace Reference

## Classes
class | DumpKeys
| std::map wrapper for stream output of keys. More...
class | DumpMap
| std::map wrapper for stream output. More...
class | DumpValues
| std::map wrapper for stream output of values. More...
class | MapEntry
| std::pair wrapper for std::map output. More...

## Functions
template<class TPair>
std::ostream & | operator<< (std::ostream &str, const MapEntry< TPair > &obj)
| Stream output.
template<class TPair>
MapEntry< TPair > | mapEntry (const TPair &pair_r)
| Convenience function to create MapEntry from std::pair.
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpMap< TMap > &obj)
| Stream output.
template<class TMap>
DumpMap< TMap > | dumpMap (const TMap &map_r)
| Convenience function to create DumpMap from std::map.
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpKeys< TMap > &obj)
| Stream output.
template<class TMap>
DumpKeys< TMap > | dumpKeys (const TMap &map_r)
| Convenience function to create DumpKeys from std::map.
template<class TMap>
std::ostream & | operator<< (std::ostream &str, const DumpValues< TMap > &obj)
| Stream output.
template<class TMap>
DumpValues< TMap > | dumpValues (const TMap &map_r)
| Convenience function to create DumpValues from std::map.